<div class="header-container">
  <h3 style="display:inline;">Nouveau réseau</h3>
  <button class="btn btn-primary" (click)="goBack()"> Retour</button>
</div>

<label for="name">Nom interne: </label>
<input class="form-control" id="name" [(ngModel)]="name" type="text" placeholder="network_de_test"/>
<br>
<label for="label">Nom Public: </label>
<input class="form-control" id="label" [(ngModel)]="label" type="text" placeholder="Ntwk_K-RA-V-LA_124">
<!-- Bouton de randomisation-->
<br>

<div *ngFor="let floor of floors; let i = index">
  <hr class="floor-separator"/>
  <app-create-floor #floor
    [depth]="i +1"
    (removeFloorEmitter)="onRemoveFloorEvent($event)"
  >
  </app-create-floor>
  <hr/>
</div>


<hr class="floor-separator"/>
<button class="btn btn-primary" (click)="addFloor()">Ajouter un etage</button>
<hr class="floor-separator"/>
<button class="btn btn-success" (click)="onCreateButton()">Envoyer</button>
